function [err] = error_5_variable_bump_s (alfa,yy,uu,bsk_s,bsk_k,res_musk,nu)
%[err]=error_5_variable(alfa,yy,uu,s,res_musk,nu) alfa=[utau,delta_y,delta,PI,kappa]

utau=alfa(1);
delta_y=alfa(2);
delta=alfa(3);
PI=alfa(4);
kappa=alfa(5);

s=interp1(bsk_k,bsk_s,kappa,'linear'); 

%% create musker profile depending on kappa
[~,upm] = composite_bump_profile_fine (kappa,s,res_musk,(yy+delta_y),utau,nu,delta,PI);

uplus_exp=uu./utau;

% This definition of error provides a slightly larger weight to points
% located closer to the wall. The residual definition is called E1 in the
% original paper (Rodriguez-Lopez Bruce and Buxton Exp Fluids 56(4):68. To
% which the user is referred for a deeper discussion in the implications.
% In the case this uneven weighting should be removed it is enough with
% removing the division by 'upm'.
err=mean(abs(upm-uplus_exp)./upm);