function w=wake_fst(eta,PI)
% w=wake_exp(eta,PI)
%
% Gives the wake component for a given eta=y/delta 
%
% Hancock, P. E., & Bradshaw, P. (1989). Turbulence structure of a boundary
% layer beneath a turbulent free stream. 
% Journal of Fluid Mechanics, 205, 45-76.
%


w=(1+6.*PI).*eta.^2-(1+4.*PI)*eta.^3;